This is about Sencha Themer v1.3.0.51:

Just bought ExtReact and am in the process of setting up the Themer and having frustrating issues.
My environment is: Development/run server on Ubuntu 16.04LTS and edit the code on Windows10 PC with a drive mapped to the server.

Installed the Themer on the PC and when I click on "create theme" all is Ok at 1st: it finds Sencha SDK ExtJS v6.5.2.463 OK, give it a theme name and click on "create theme" the a screen appears that says "Sencha Cmd 6.5.1+ Required"
I clicked on the link to download Cmd. Version 6.5.2.15 was installed. Restarted Themer and it returns to this same screen each time. I noticed it shows '(detected:' I assume because it can't find Cmd.

I verified Cmd runs at the CMD prompt: sencha.exe shows "Sencha Cmd v6.5.2.15". I tried filling in the Cmd Path field in Themer - no luck. Also tried this on a windows 7 PC with the same results.

Decided to install the Themer on the Ubuntu box and use the Ubuntu GUI. That seemed to work: now warning screens and it seemed to be installing the theme after clicking on "create theme" then it blewup with a Cmd Error:

Error: Cmd Error
at SenchaCmd._closeHandler (/home/neteng/Sencha/Themer/resources/app.asar/node_modules/sencha-cmd/index.js:236:32)
at Object.onceWrapper (events.js:290:19)
at emitTwo (events.js:106:13)
at ChildProcess.emit (events.js:191:7)
at maybeClose (internal/child_process.js:885:16)
at Socket. (internal/child_process.js:334:11)
at emitOne (events.js:96:13)
at Socket.emit (events.js:188:7)
at Pipe._handle.close [as _onclose] (net.js:501:12)

Has anyone ever successfully used this product on a windows10 PC?



Sencha Themer
v1.3.0.51